> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Rewards Information

> Returns user's OG status, GNO balance of Safe, and calculated base cashback rate.
Note that the cashbackRate returned does not include the +1% bonus for OG NFT holders - to get the total cashback rate, add 1% to the cashbackRate if isOg is true.




## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json get /api/v1/rewards
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/rewards:
    get:
      tags:
        - Rewards
      summary: Retrieve Rewards Information
      description: >
        Returns user's OG status, GNO balance of Safe, and calculated base
        cashback rate.

        Note that the cashbackRate returned does not include the +1% bonus for
        OG NFT holders - to get the total cashback rate, add 1% to the
        cashbackRate if isOg is true.
      responses:
        '200':
          description: Successfully retrieved rewards information
          content:
            application/json:
              schema:
                type: object
                required:
                  - isOg
                  - gnoBalance
                  - cashbackRate
                properties:
                  isOg:
                    type: boolean
                    description: >-
                      Indicates if the user holds an OG NFT token. If true, the
                      user gets an additional 1% cashback on top of the base
                      cashbackRate.
                    example: true
                  gnoBalance:
                    type: number
                    description: User's GNO token balance in their Safe account
                    example: 10.5
                  cashbackRate:
                    type: number
                    description: >-
                      Base cashback rate calculated from GNO balance (0-4%). For
                      OG NFT holders, add 1% to this rate to get the total
                      cashback rate.
                    example: 2.5
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
      security:
        - bearerAuth: []
components:
  responses:
    UnauthorizedError:
      description: Unauthorized Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````